SecurityManager
Date: 2016-06-24

java.lang

## Class SecurityManager

- java.lang.Object
- - java.lang.SecurityManager

-     public class SecurityManager
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkAccept(String var0, int var1)`
    `void` | `checkAccess(Thread var0)`
    `void` | `checkAccess(ThreadGroup var0)`
    `void` | `checkAwtEventQueueAccess()`
    `void` | `checkConnect(String var0, int var1)`
    `void` | `checkConnect(String var0, int var1, Object var2)`
    `void` | `checkCreateClassLoader()`
    `void` | `checkDelete(String var0)`
    `void` | `checkExec(String var0)`
    `void` | `checkExit(int var0)`
    `void` | `checkLink(String var0)`
    `void` | `checkListen(int var0)`
    `void` | `checkMemberAccess(Class var0, int var1)`
    `void` | `checkMulticast(InetAddress var0)`
    `void` | `checkMulticast(InetAddress var0, byte var1)` Deprecated.
    `void` | `checkPackageAccess(String var0)`
    `void` | `checkPackageDefinition(String var0)`
    `void` | `checkPermission(Permission var0)`
    `void` | `checkPermission(Permission var0, Object var1)`
    `void` | `checkPrintJobAccess()`
    `void` | `checkPropertiesAccess()`
    `void` | `checkPropertyAccess(String var0)`
    `void` | `checkRead(FileDescriptor var0)`
    `void` | `checkRead(String var0)`
    `void` | `checkRead(String var0, Object var1)`
    `void` | `checkSecurityAccess(String var0)`
    `void` | `checkSetFactory()`
    `void` | `checkSystemClipboardAccess()`
    `boolean` | `checkTopLevelWindow(Object var0)`
    `void` | `checkWrite(FileDescriptor var0)`
    `void` | `checkWrite(String var0)`
    `protected Class[]` | `getClassContext()`
    `Object` | `getSecurityContext()`
    `ThreadGroup` | `getThreadGroup()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityManager

          public SecurityManager()

  - ### Method Detail

    - #### checkAccept

          public void checkAccept(String var0,
                         int var1)

    - #### checkAccess

          public void checkAccess(Thread var0)

    - #### checkAccess

          public void checkAccess(ThreadGroup var0)

    - #### checkAwtEventQueueAccess

          public void checkAwtEventQueueAccess()

    - #### checkConnect

          public void checkConnect(String var0,
                          int var1)

    - #### checkConnect

          public void checkConnect(String var0,
                          int var1,
                          Object var2)

    - #### checkCreateClassLoader

          public void checkCreateClassLoader()

    - #### checkDelete

          public void checkDelete(String var0)

    - #### checkExec

          public void checkExec(String var0)

    - #### checkExit

          public void checkExit(int var0)

    - #### checkLink

          public void checkLink(String var0)

    - #### checkListen

          public void checkListen(int var0)

    - #### checkMemberAccess

          public void checkMemberAccess(Class var0,
                               int var1)

    - #### checkMulticast

          public void checkMulticast(InetAddress var0)

    - #### checkMulticast

          public void checkMulticast(InetAddress var0,
                            byte var1)

      Deprecated.

    - #### checkPackageAccess

          public void checkPackageAccess(String var0)

    - #### checkPackageDefinition

          public void checkPackageDefinition(String var0)

    - #### checkPermission

          public void checkPermission(Permission var0)

    - #### checkPermission

          public void checkPermission(Permission var0,
                             Object var1)

    - #### checkPrintJobAccess

          public void checkPrintJobAccess()

    - #### checkPropertiesAccess

          public void checkPropertiesAccess()

    - #### checkPropertyAccess

          public void checkPropertyAccess(String var0)

    - #### checkRead

          public void checkRead(FileDescriptor var0)

    - #### checkRead

          public void checkRead(String var0)

    - #### checkRead

          public void checkRead(String var0,
                       Object var1)

    - #### checkSecurityAccess

          public void checkSecurityAccess(String var0)

    - #### checkSetFactory

          public void checkSetFactory()

    - #### checkSystemClipboardAccess

          public void checkSystemClipboardAccess()

    - #### checkTopLevelWindow

          public boolean checkTopLevelWindow(Object var0)

    - #### checkWrite

          public void checkWrite(FileDescriptor var0)

    - #### checkWrite

          public void checkWrite(String var0)

    - #### getClassContext

          protected Class[] getClassContext()

    - #### getSecurityContext

          public Object getSecurityContext()

    - #### getThreadGroup

          public ThreadGroup getThreadGroup()